<?PHP
#
#   FILE:  EditTopic.php
#
#   Copyright 2011 Internet Scout Project
#   http://scout.wisc.edu/
#

# ----- EXPORTED FUNCTIONS ---------------------------------------------------

function PrintTopic()
{
    global $TopicName;
    print $TopicName;
}

# ----- LOCAL FUNCTIONS ------------------------------------------------------

# ----- MAIN -----------------------------------------------------------------

# non-standard global variables
global $TopicName;

PageTitle("Edit Topic");

# check if current user is authorized
CheckAuthorization(PRIV_SYSADMIN);

$ForumId = $Session->Get("ForumId");
$TopicId = $Session->Get("TopicId");
$Topic = new Topic($TopicId);
$TopicName = $Topic->TopicName();

$Session->PassVariable("TopicId", $TopicId);
$Session->PassVariable("ForumId", $ForumId);
